# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: commands.proto

import sys

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

import mascot.grpcproto.error_pb2 as error__pb2
import mascot.grpcproto.value_pb2 as value__pb2

_b = sys.version_info[0] < 3 and (lambda x: x) or (lambda x: x.encode("latin1"))
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor.FileDescriptor(
    name="commands.proto",
    package="mascot",
    syntax="proto3",
    serialized_options=None,
    serialized_pb=_b(
        '\n\x0e\x63ommands.proto\x12\x06mascot\x1a\x0bvalue.proto\x1a\x0b\x65rror.proto"\xc0\x01\n\x0e\x43ommandMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x13\n\x0b\x63ommandName\x18\x02 \x01(\t\x12:\n\nparameters\x18\x03 \x03(\x0b\x32&.mascot.CommandMessage.ParametersEntry\x1aI\n\x0fParametersEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12%\n\x05value\x18\x02 \x01(\x0b\x32\x16.mascot.AttributeValue:\x02\x38\x01"\xb6\x01\n\x0c\x43ommandReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12\x1c\n\x05\x65rror\x18\x02 \x01(\x0b\x32\r.mascot.Error\x12\x30\n\x06values\x18\x03 \x03(\x0b\x32 .mascot.CommandReply.ValuesEntry\x1a\x45\n\x0bValuesEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12%\n\x05value\x18\x02 \x01(\x0b\x32\x16.mascot.AttributeValue:\x02\x38\x01\x62\x06proto3'
    ),
    dependencies=[value__pb2.DESCRIPTOR, error__pb2.DESCRIPTOR],
)


_COMMANDMESSAGE_PARAMETERSENTRY = _descriptor.Descriptor(
    name="ParametersEntry",
    full_name="mascot.CommandMessage.ParametersEntry",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="key",
            full_name="mascot.CommandMessage.ParametersEntry.key",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="value",
            full_name="mascot.CommandMessage.ParametersEntry.value",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=_b("8\001"),
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=172,
    serialized_end=245,
)

_COMMANDMESSAGE = _descriptor.Descriptor(
    name="CommandMessage",
    full_name="mascot.CommandMessage",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="deviceName",
            full_name="mascot.CommandMessage.deviceName",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="commandName",
            full_name="mascot.CommandMessage.commandName",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="parameters",
            full_name="mascot.CommandMessage.parameters",
            index=2,
            number=3,
            type=11,
            cpp_type=10,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[_COMMANDMESSAGE_PARAMETERSENTRY],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=53,
    serialized_end=245,
)


_COMMANDREPLY_VALUESENTRY = _descriptor.Descriptor(
    name="ValuesEntry",
    full_name="mascot.CommandReply.ValuesEntry",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="key",
            full_name="mascot.CommandReply.ValuesEntry.key",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="value",
            full_name="mascot.CommandReply.ValuesEntry.value",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=_b("8\001"),
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=361,
    serialized_end=430,
)

_COMMANDREPLY = _descriptor.Descriptor(
    name="CommandReply",
    full_name="mascot.CommandReply",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="success",
            full_name="mascot.CommandReply.success",
            index=0,
            number=1,
            type=8,
            cpp_type=7,
            label=1,
            has_default_value=False,
            default_value=False,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="error",
            full_name="mascot.CommandReply.error",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="values",
            full_name="mascot.CommandReply.values",
            index=2,
            number=3,
            type=11,
            cpp_type=10,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[_COMMANDREPLY_VALUESENTRY],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=248,
    serialized_end=430,
)

_COMMANDMESSAGE_PARAMETERSENTRY.fields_by_name[
    "value"
].message_type = value__pb2._ATTRIBUTEVALUE
_COMMANDMESSAGE_PARAMETERSENTRY.containing_type = _COMMANDMESSAGE
_COMMANDMESSAGE.fields_by_name[
    "parameters"
].message_type = _COMMANDMESSAGE_PARAMETERSENTRY
_COMMANDREPLY_VALUESENTRY.fields_by_name[
    "value"
].message_type = value__pb2._ATTRIBUTEVALUE
_COMMANDREPLY_VALUESENTRY.containing_type = _COMMANDREPLY
_COMMANDREPLY.fields_by_name["error"].message_type = error__pb2._ERROR
_COMMANDREPLY.fields_by_name["values"].message_type = _COMMANDREPLY_VALUESENTRY
DESCRIPTOR.message_types_by_name["CommandMessage"] = _COMMANDMESSAGE
DESCRIPTOR.message_types_by_name["CommandReply"] = _COMMANDREPLY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CommandMessage = _reflection.GeneratedProtocolMessageType(
    "CommandMessage",
    (_message.Message,),
    dict(
        ParametersEntry=_reflection.GeneratedProtocolMessageType(
            "ParametersEntry",
            (_message.Message,),
            dict(
                DESCRIPTOR=_COMMANDMESSAGE_PARAMETERSENTRY,
                __module__="commands_pb2"
                # @@protoc_insertion_point(class_scope:mascot.CommandMessage.ParametersEntry)
            ),
        ),
        DESCRIPTOR=_COMMANDMESSAGE,
        __module__="commands_pb2"
        # @@protoc_insertion_point(class_scope:mascot.CommandMessage)
    ),
)
_sym_db.RegisterMessage(CommandMessage)
_sym_db.RegisterMessage(CommandMessage.ParametersEntry)

CommandReply = _reflection.GeneratedProtocolMessageType(
    "CommandReply",
    (_message.Message,),
    dict(
        ValuesEntry=_reflection.GeneratedProtocolMessageType(
            "ValuesEntry",
            (_message.Message,),
            dict(
                DESCRIPTOR=_COMMANDREPLY_VALUESENTRY,
                __module__="commands_pb2"
                # @@protoc_insertion_point(class_scope:mascot.CommandReply.ValuesEntry)
            ),
        ),
        DESCRIPTOR=_COMMANDREPLY,
        __module__="commands_pb2"
        # @@protoc_insertion_point(class_scope:mascot.CommandReply)
    ),
)
_sym_db.RegisterMessage(CommandReply)
_sym_db.RegisterMessage(CommandReply.ValuesEntry)


_COMMANDMESSAGE_PARAMETERSENTRY._options = None
_COMMANDREPLY_VALUESENTRY._options = None
# @@protoc_insertion_point(module_scope)
